Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/Makefile	(revision 55)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/Makefile	(revision 76)
@@ -2,10 +2,10 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT			= ../
 include				$(DIR_COMPONENT)/Makefile.defs
@@ -15,5 +15,5 @@
 DIR_LIBRARY			= $(@COMPONENT_DIR_LIBRARY)
 
-#-----[ include ]------------------------------------------
+#-----[ include ]------------------------------------------
 
 all				:
@@ -24,5 +24,5 @@
 library_clean			: @COMPONENT_library_clean
 
-include                         ../Makefile.deps
+include                         $(DIR_COMPONENT)/Makefile.deps
 include                         $(DIR_MORPHEO)/Behavioural/Makefile.flags
 include				$(DIR_MORPHEO)/Behavioural/Makefile.Common
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/include/test.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/include/test.h	(revision 55)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/include/test.h	(revision 76)
@@ -2,5 +2,5 @@
  * $Id$
  *
- * [ Description ]
+ * [ Description ]
  * 
  * Test "RegisterFile"
@@ -15,4 +15,5 @@
 #include <sys/time.h>
 
+#include "Common/include/Time.h"
 #include "Behavioural/@DIRECTORY/include/@COMPONENT.h"
 
@@ -25,34 +26,2 @@
 void test    (string name,
 	      morpheo::behavioural::@NAMESPACE_USE::Parameters * param);
-
-class Time 
-{
-private : timeval time_begin;
-// private : timeval time_end;
-  
-public  : Time ()
-  {
-    gettimeofday(&time_begin     ,NULL);
-  };
-
-public  : ~Time ()
-  {
-    cout << *this;
-  };
-
-public  : friend ostream& operator<< (ostream& output_stream,
-				      const Time & x)
-  {
-    timeval time_end;
-    
-    gettimeofday(&time_end       ,NULL);
-    
-    uint32_t nb_cycles = static_cast<uint32_t>(sc_simulation_time());
-
-    double average = static_cast<double>(nb_cycles) / static_cast<double>(time_end.tv_sec-x.time_begin.tv_sec);
-    
-    output_stream << nb_cycles << "\t(" << average << " cycles / seconds )" << endl;
-
-    return output_stream;
-  }
-};
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/src/main.cpp	(revision 55)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/main.cpp	(revision 76)
@@ -2,5 +2,5 @@
  * $Id$
  *
- * [ Description ]
+ * [ Description ]
  * 
  */
@@ -12,13 +12,6 @@
 void usage (int argc, char * argv[])
 {
-  cerr << "<Usage> " << argv[0] << " name_instance list_params" << endl
-       << "list_params is :" << endl
-//     << " - size_data     (unsigned int)" << endl
-//     << " - nb_port       (unsigned int)" << endl;
-       << "" << endl;
-
-  for (int i=0; i<argc; i++)
-    cerr << argv[i] << " ";
-  cerr << endl;
+  err (_("<Usage> %s name_instance list_params.\n"),argv[0]);
+  err (_("list_params is :\n"));
 
   exit (1);
@@ -34,7 +27,9 @@
     usage (argc, argv);
 
-  const string   name      = argv[1];
-//const uint32_t size_data = atoi(argv[2]);
-//const uint32_t nb_port   = atoi(argv[3]);
+  uint32_t       x = 1;
+
+  const string   name      =      argv[x++];
+//const uint32_t size_data = atoi(argv[x++]);
+//const uint32_t nb_port   = atoi(argv[x++]);
 
   try 
@@ -45,5 +40,5 @@
         );
       
-      cout << param->print(1);
+      msg(_("%s"),param->print(1).c_str());
       
       test (name,param);
@@ -51,10 +46,10 @@
   catch (morpheo::ErrorMorpheo & error)
     {
-      cout << "<" << name << "> : " <<  error.what ();
+      msg (_("<%s> : %s.\n"),name.c_str(), error.what ());
       exit (EXIT_FAILURE);
     }
   catch (...)
     {
-      cerr << "<" << name << "> : This test must generate a error" << endl;
+      err (_("<%s> : This test must generate a error.\n"),name.c_str());
       exit (EXIT_FAILURE);
     }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component/SelfTest/src/test.cpp	(revision 55)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/New_Component_vbe/SelfTest/src/test.cpp	(revision 76)
@@ -2,5 +2,5 @@
  * $Id$
  *
- * [ Description ]
+ * [ Description ]
  * 
  * Test
@@ -9,39 +9,41 @@
 #include "Behavioural/@DIRECTORY/SelfTest/include/test.h"
 #include "Common/include/Test.h"
+#include "Behavioural/include/Allocation.h"
 
 #define NB_ITERATION  1
 #define CYCLE_MAX     (128*NB_ITERATION)
 
-#define LABEL(str)                                                                       \
-{                                                                                        \
-  cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} " << str << endl; \
-} while(0)
+#define LABEL(str...)							\
+  {									\
+    msg (_("{%d} "),static_cast<uint32_t>(sc_simulation_time()));	\
+    msg (str);								\
+    msg (_("\n"));							\
+  } while(0)
 
-static uint32_t cycle = 0;
-
-#define SC_START(cycle_offset)                                          \
-do                                                                      \
-{                                                                       \
-/*cout << "SC_START (begin)" << endl;*/                                 \
-                                                                        \
-  uint32_t cycle_current = static_cast<uint32_t>(sc_simulation_time()); \
-  if (cycle_current != cycle)                                           \
-    {                                                                   \
-      cycle = cycle_current;                                            \
-      cout << "##########[ cycle "<< cycle << " ]" << endl;             \
-    }                                                                   \
-                                                                        \
-  if (cycle_current > CYCLE_MAX)                                        \
-    {                                                                   \
-      TEST_KO("Maximal cycles Reached");                                \
-    }                                                                   \
-  sc_start(cycle_offset);                                               \
-/*cout << "SC_START (end  )" << endl;*/                                 \
-} while(0)
+#define SC_START(cycle_offset)                                                       \
+  do									             \
+    {									             \
+      /*cout << "SC_START (begin)" << endl;*/				             \
+									             \
+      uint32_t cycle_current = static_cast<uint32_t>(sc_simulation_time());          \
+      if (cycle_offset != 0)						             \
+	{								             \
+	  cout << "##########[ cycle "<< cycle_current+cycle_offset << " ]" << endl; \
+	}								             \
+									             \
+      if (cycle_current > CYCLE_MAX)					             \
+	{								             \
+	  TEST_KO("Maximal cycles Reached");				             \
+	}								             \
+									             \
+      sc_start(cycle_offset);						             \
+									             \
+      /*cout << "SC_START (end  )" << endl;*/				             \
+    } while(0)
 
 void test (string name,
 	   morpheo::behavioural::@NAMESPACE_USE::Parameters * _param)
 {
-  cout << "<" << name << "> : Simulation SystemC" << endl;
+  msg(_("<%s> : Simulation SystemC.\n"),name.c_str());
 
 #ifdef STATISTICS
@@ -59,11 +61,8 @@
    * Déclarations des signaux
    *********************************************************************/
-  sc_clock                               * in_CLOCK;
-  sc_signal<Tcontrol_t>                  * in_NRESET;
-
   string rename;
 
-  in_CLOCK                                = new sc_clock ("clock", 1.0, 0.5);
-  in_NRESET                               = new sc_signal<Tcontrol_t> ("NRESET");
+  sc_clock              *  in_CLOCK  = new sc_clock ("clock", 1.0, 0.5);	 
+  sc_signal<Tcontrol_t> *  in_NRESET = new sc_signal<Tcontrol_t> ("NRESET");
   
   /********************************************************
@@ -71,11 +70,12 @@
    ********************************************************/
   
-  cout << "<" << name << "> Instanciation of _@COMPONENT" << endl;
-  
+  msg(_("<%s> : Instanciation of _@COMPONENT.\n"),name.c_str());
+
   (*(_@COMPONENT->in_CLOCK))        (*(in_CLOCK));
   (*(_@COMPONENT->in_NRESET))       (*(in_NRESET));
 
 
-  cout << "<" << name << "> Start Simulation ............" << endl;
+  msg(_("<%s> : Start Simulation ............\n"),name.c_str());
+    
   Time * _time = new Time();
 
@@ -94,9 +94,14 @@
   LABEL("Initialisation");
 
+  LABEL("Reset");
+  in_NRESET->write(0);
+  SC_START(5);
+  in_NRESET->write(1);  
+
   LABEL("Loop of Test");
 
   for (uint32_t iteration=0; iteration<NB_ITERATION; iteration ++)
     {
-      LABEL("Iteration "+toString(iteration));
+      LABEL("Iteration %d",iteration);
 
       SC_START(1);
@@ -109,5 +114,6 @@
   TEST_OK ("End of Simulation");
   delete _time;
-  cout << "<" << name << "> ............ Stop Simulation" << endl;
+
+  msg(_("<%s> : ............ Stop Simulation\n"),name.c_str());
 
   delete in_CLOCK;
